View Issue Details

IDProjectCategoryView StatusLast Update
0005053Talerwallet (WebExtensions)public2017-06-06 14:18
ReporterChristian GrothoffAssigned ToFlorian Dold 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0005053: going back to 'pay' page gives odd / confusing error
DescriptionI withdrew from demo, successfully paid on the RMS-blog, and then went one page BACK to the 'pay' page.

In the past, it showed again the 'pay' wallet page ("confirm-contract") allowing me to "pay again" (which didn't actually pay again, but nevertheless moved forward to the article).

Right now, I get instead the "confirm payment" button disabled, and a stern warning "You do not have any funds from an exchange that is accepted by this merchant. None of the exchanges accepted by the merchant is known to your wallet."

Notice that this happens even though
1) I have enough currency left
2) I already just paid for the very article (I just used "back" from the
   fulfillment page!)

Ideal behavior would probably be changing the button to
"view fulfillment page" and the "You are about to purchase:" text to
"You already paid for:".

The old behavior was also fine, but the new one is awkward.
TagsNo tags attached.

Activities

Florian Dold

2017-06-02 02:54

manager   ~0012207

Fixed in a425f289.

Cause: We returned "insufficient-funds" instead of "payed" in the wallet API when the proposal was already paid for.

Now we simply display a green box saying 'You already paid for this, clicking "Confirm payment" will not cost money again.' instead of the error, so we don't have to modify the button or contract terms rendering.

Issue History

Date Modified Username Field Change
2017-06-01 23:25 Christian Grothoff New Issue
2017-06-01 23:25 Christian Grothoff Status new => assigned
2017-06-01 23:25 Christian Grothoff Assigned To => Florian Dold
2017-06-02 02:54 Florian Dold Note Added: 0012207
2017-06-02 02:54 Florian Dold Status assigned => resolved
2017-06-02 02:54 Florian Dold Resolution open => fixed
2017-06-02 09:34 Christian Grothoff Fixed in Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed